The German, French, Italian and Spanish of the Windows Phone Developer Tools (WPDT) are now available. You can go ahead and install them from here

Below are some of the details around the configurations supported, steps to upgrade from an existing English edition of WPDT and a couple of known installation issues to watch out for.

OS Support

Like the English version, the localized versions are supported only on Vista and Windows 7 Operating Systems. Additionally, the localized versions of WPDT are only supported on the corresponding languages of the Operating System. The below table summarize this matrix.

                       OS Language

WPDT Language

English

German

French

Italian

Spanish

Others

English

 

 

 

 

 

 

German

 

 

 

 

 

 

French

 

 

 

 

 

 

Italian

 

 

 

 

 

 

Spanish

 

 

 

 

 

 

 

Supported

Not Supported

Legend:

 

Dev10 Support

If Visual Studio 2010 Professional or higher edition is already available on the system, you can continue to use VS for windows phone development after installation of WPDT.

The below table summarizes the IDE to use in various configurations of Dev10

           Dev10

WPDT

None

English

German

French

Italian

Spanish

Others

English

 

VS

 

 

 

 

 

German

 

 

VS

 

 

 

 

French

 

 

 

VS

 

 

 

Italian

 

 

 

 

VS

 

 

Spanish

 

 

 

 

 

VS

 

 

VS (devenv)

Express SKU (vpdexpress)

Legend:

SxS support

1.       You can install only one language version of WPDT on a system. You will need to uninstall the existing language version to install another other language version of WPDT.

Instructions for this are in the next section

2.       If you have multiple language versions of VS 2010 installed, you will need to set the locale of VS 2010 to match that of WPDT to be able to use VS for windows phone development.

e.g. If you have German and Spanish VS 2010 installed on a German OS, after installing German WPDT, you can use VS for windows phone development if the current VS language is set to German (From Tools->Options)

 

Upgrading from ENU WPDT to the localized version

This section lists steps for users who want to move from using the English version of WPDT to the localized version of WPDT. For the sake of simplicity, I will illustrate for moving from English to German, but the instructions would be same for any two language versions.

1.       From Add/Remove Programs, Uninstall the English WPDT

2.       Uninstall all the English Blend components that are left on the system

E.g. Microsoft Expression Blend SDK for Windows Phone,

Microsoft Expression Blend SDK for Silverlight 4,

Microsoft Expression Blend SDK for .NET 4 etc.

3.       Install German WPDT

Installation Issues with Localized version of WPDT

1.       WPDT installation will not install OR fail to install Blend 4 for Windows Phone if there is an existing Blend 4 installation in a different language.

Note: WPDT only installs Blend 4 for Windows Phone and you will not have support for desktop Blend development. If you have a different language version of Blend 4, recommend you install WPDT on a different system.

However, if you do need to overcome this, you will need to:

 

 

a.        Uninstall all the Blend components already existing on the system from Add/Remove Programs. (you can search for Blend in the ARP window)

b.      Then, get the localized Blend 4 for Windows Phone from Add/Remove Programs, by choosing ‘Change’ on Windows Phone Developer Tools, clicking on ‘Add optional components’, selecting Blend 4 for Windows Phone and proceeding with it.